Skip to content

/v1/getSends

GET the list of all suggested layouts

Parameters

Query Parameters

ParameterDescriptionRequired
accountIdThe account ID of the userYes
usernameThe username of the userYes
amountThe number of layouts to retrieve per page. (1-100)No
pageThe page number of the layouts to retrieve.No

Only required either accountId or username present, not both.

Response

A sends object with the following properties:

NameTypeDescription
levelIdnumberThe ID of the layout.
totalSuggestsnumberThe total amount of suggestions by mods.
suggestedFeaturednumberThe amount of featured suggestions by mods.
suggestedEpicnumberThe amount of epic suggestions by mods.
suggestedLegendarynumberThe amount of legendary suggestions by mods.
averageDifficultynumberThe average difficulty of the layout by mods.

Other properties:

NameTypeDescription
totalAmountnumberThe total amount of layouts.
pagenumberThe current page number.
amountnumberThe number of layouts returned.
json
{
  "layouts": [
    {
      "levelId": 97671390,
      "totalSuggests": 2,
      "suggestedFeatured": 2,
      "suggestedEpic": 0,
      "suggestedLegendary": 0,
      "averageDifficulty": 9
    },
    {
      "levelId": 127858441,
      "totalSuggests": 2,
      "suggestedFeatured": 2,
      "suggestedEpic": 0,
      "suggestedLegendary": 0,
      "averageDifficulty": 30
    },
    {
      "levelId": 96243146,
      "totalSuggests": 2,
      "suggestedFeatured": 2,
      "suggestedEpic": 0,
      "suggestedLegendary": 0,
      "averageDifficulty": 25
    },
    {
      "levelId": 133108913,
      "totalSuggests": 3,
      "suggestedFeatured": 2,
      "suggestedEpic": 1,
      "suggestedLegendary": 0,
      "averageDifficulty": 6.67
    },
    {
      "levelId": 133120867,
      "totalSuggests": 2,
      "suggestedFeatured": 2,
      "suggestedEpic": 0,
      "suggestedLegendary": 0,
      "averageDifficulty": 10
    },
    {
      "levelId": 132791352,
      "totalSuggests": 2,
      "suggestedFeatured": 0,
      "suggestedEpic": 0,
      "suggestedLegendary": 0,
      "averageDifficulty": 15
    },
    {
      "levelId": 133163748,
      "totalSuggests": 2,
      "suggestedFeatured": 1,
      "suggestedEpic": 1,
      "suggestedLegendary": 0,
      "averageDifficulty": 30
    },
    {
      "levelId": 117111607,
      "totalSuggests": 2,
      "suggestedFeatured": 1,
      "suggestedEpic": 1,
      "suggestedLegendary": 0,
      "averageDifficulty": 20
    },
    {
      "levelId": 113834124,
      "totalSuggests": 2,
      "suggestedFeatured": 1,
      "suggestedEpic": 1,
      "suggestedLegendary": 0,
      "averageDifficulty": 25
    },
    {
      "levelId": 76787587,
      "totalSuggests": 3,
      "suggestedFeatured": 2,
      "suggestedEpic": 1,
      "suggestedLegendary": 0,
      "averageDifficulty": 30
    }
  ],
  "totalAmount": 346,
  "page": 1,
  "amount": 10
}

Failed Response

Missing accountId or username
User not found